#ifndef RECOMMENDER_H
#define RECOMMENDER_H
#include <string>
#include <vector>
#include <list>
#include <fstream>
#include "RatingInformation.cc"
#include "MovieInformation.h"

using namespace std;
class Recommender
{
  public :
    virtual double generatePrediction(int userid, string movieName) = 0;

    vector<string> makeRecommendations(int userid, int n);
    void loadMovieListFromFile(string filename);
    void loadRatingsFromFile(string filename);
    
    
    //optional but maybe useful for debugging:
    //        void printMovies();
    //       void printRatings();

    
  protected : 
    list<RatingInformation> ratings;
    vector<MovieInformation> movies;
    
    //Feel free to add any methods that you think are shared between both recommenders
    //For example:
    //int getMovieId(string movieName);
};
#endif
